 {#<pagetitle>NHS.UK | Why are you making this claim</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/radios/macro.njk' import radios %}

<form action="other-why-are-you-making-this-claim" class="form" method="post" name="whyApplyForm">
    <fieldset class="nhsuk-fieldset">
    {{ heading({
            subHeading:{text: 'other-why-are-you-making-this-claim.section.heading'},
            text: 'other-why-are-you-making-this-claim.h1',
            classes: 'nhsuk-heading-l govuk-heading-l',
            locale: locale
        })
    }}


	<div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}" id="adios-whyMakingClaim">

		{% for error in errors %}
			{% if error.param == 'receivedVaccine'%}
				<span class="nhsuk-error-message" id="who-is-completing-form-error" >
					{{ __({phrase: 'common.errors.E0016', locale: error.locale }) }}
				</span>
			{% endif%}
		{% endfor %}
		{{ radios({
          "idPrefix": "WhyMakingClaim",
          "name": "WhyMakingClaim",
          "items": [
            {
              "checked": (data.Data.WhyMakingClaim === 'receivedVaccine'),
              "id": "receivedVaccine",
              "value": "receivedVaccine",
              "text": "other-why-are-you-making-this-claim.option1",
              "locale": locale
            },
            {
              "checked": (data.Data.WhyMakingClaim === 'mother'),
              "id": "mother",
              "value": "mother",
              "text": "other-why-are-you-making-this-claim.option2",
              "locale": locale
            },
            {
               "checked": (data.Data.WhyMakingClaim === 'polio'),
               "id": "polio",
               "value": "polio",
               "text": "other-why-are-you-making-this-claim.option3",
               "locale": locale
            }
          ]
        }) }}
    </div>
    </fieldset>
<br>
{{ button({
    type: "submit",
    text: "common.button.continue",
    locale: locale
}) }}
</form>
